## king 2.24+dfsg2

=== quickies/Makefile ===
# (jEdit options) :folding=explicit:collapseFolds=1:
#
#{{{ Notes on usage
# Standard generalized Makefile for building
# Java projects under GNU/Linux systems.
#
# Project 'quickies' begun on Tue Feb 18 17:59:48 EST 2003
# Copyright (C) 2003 Ian W. Davis
#
# COMMON TARGETS:
#   % make all          Builds Java components
#   % make back         Create .tgz file for backup
#   % make clean        Remove all generated files
#   % make try          Build all & run sample command line
#
# Notes on usage }}}

#{{{ Variables
############################################################
### VARIABLES ##############################################
############################################################

# Directory structures
DEVROOT  = ../..
CLASSES  = $(DEVROOT)/classes
JARS     = $(DEVROOT)/jars
OLD      = $(DEVROOT)/old

# Project details
PROJNAME = quickies
LONGVER := $(shell date +%y%m%d.%H%M)
PACKAGE  = quickies
PKGPATH  = quickies
# Variables }}}

############################################################
### TARGETS ################################################
############################################################
.PHONY: all back clean try

# Make a copy of all the files in this directory
back : clean
	mkdir -p $(OLD)/$(PROJNAME)
	tar cvzf $(OLD)/$(PROJNAME)/$(PROJNAME)-$(LONGVER).tgz .
	scp $(OLD)/$(PROJNAME)/$(PROJNAME)-$(LONGVER).tgz iwd@server:~/devel/old-versions

# Clean up - delete binaries, JAR files, etc.
clean :
	rm -rf *.class

## king 2.21.120420

=== debian/changelog ===
king (2.21.120420-2) unstable; urgency=low

  [ Niels Thykier ]
  * Fix FTBFS with Java7
    Closes: #678654

 -- Andreas Tille <tille@debian.org>  Mon, 25 Jun 2012 09:40:44 +0200

king (2.21.120420-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source: This version includes molikin so the separate
    fetching of this source is not needed any more.
  * debian/README.source:
     - drop remark about missing parts of source code
     - explain handling of ndft files
  * debian/king.{docs,jlibs}: Do not specify version number in destination
    distribution directory explicitly
  * debhelper 9 (control+compat)
  * debian/king.lintian-overrides: Adapted version number of binary

 -- Andreas Tille <tille@debian.org>  Mon, 21 May 2012 14:45:14 +0200

king (2.20.110601-1) unstable; urgency=low

  * Initial release (Closes: #669644)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Apr 2012 14:27:49 +0200

=== debian/control ===
Source: king
Section: java
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), default-jdk, javahelper, ant, libitext-java,
 libjogl-java
Standards-Version: 3.9.3
Homepage:  http://kinemage.biochem.duke.edu/software/king.php
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/king/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/king/

Package: king
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Description: interactive system for three-dimensional vector graphics
 KiNG (Kinemage, Next Generation) is an interactive system for
 three-dimensional vector graphics. It supports a set of graphics
 primitives that make it suitable for many types of graphs, plots, and
 other illustrations; although its first use was to display
 macromolecular structures for biophysical research. KiNG builds on Mage,
 JavaMage, and the "kinemage" (kinetic image) concept to deliver a
 full-featured Java application with a user-friendly interface and
 integrated editing features. The KiNG jar file can be used within a web
 page as a Java applet or Java object to promote easy access to kinemages
 or coordinate files from a web browser.

#  --> see README.source
#Package: king-java-doc
#Architecture: all
#Depends: ${misc:Depends}, ${java:Depends}
#Description: interactive system for three-dimensional vector graphics (Java API docs)
# KiNG (Kinemage, Next Generation) is an interactive system for
# three-dimensional vector graphics. It supports a set of graphics
# primitives that make it suitable for many types of graphs, plots, and
# other illustrations; although its first use was to display
# macromolecular structures for biophysical research. KiNG builds on Mage,
# JavaMage, and the "kinemage" (kinetic image) concept to deliver a
# full-featured Java application with a user-friendly interface and
# integrated editing features. The KiNG jar file can be used within a web
# page as a Java applet or Java object to promote easy access to kinemages
# or coordinate files from a web browser.
# .
# This package provides the documentation of the Java API documentation
# of KiNG and the components used by King.  It is dedicated at programmers
# who want to program Java code using classes from KiNG.  The documentation
# for plain usage of KiNG is part of the king package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with javahelper

override_dh_auto_build:
	# create backups of original buildnum resources to enable building twice in a row
	for component in chiropraxis driftwood extratools king molikin ; do \
	  if [ -e $$component/resource/$$component/buildnum.props ] ; then \
	    cp -a $$component/resource/$$component/buildnum.props $$component/resource/$$component/buildnum.props.orig ; \
	  fi ; \
	done
	mkdir -p lib
	ant -buildfile king/build.xml dist-exe

override_dh_auto_clean:
	ant -buildfile king/build.xml clean
	ant -buildfile chiropraxis/build.xml clean
	ant -buildfile driftwood/build.xml clean
	ant -buildfile extratools/build.xml clean
	ant -buildfile molikin/build.xml clean
	rm -rf king_jar

	# restore backups of original buildnum resources to enable building twice in a row
	for component in chiropraxis driftwood extratools king molikin ; do \
	  rm -rf $$component/resource/$$component/buildnum.props ; \
	  if [ -e $$component/resource/$$component/buildnum.props.orig ] ; then \
	    mv $$component/resource/$$component/buildnum.props.orig $$component/resource/$$component/buildnum.props ; \
	  fi ; \
	done

	find . -name "*.class" -delete
	rm -rf lib

override_dh_compress:
	dh_compress --exclude=.pdf

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://kinemage.biochem.duke.edu/downloads/software/king/king\.([.0-9]+)\.src\.zip \
   debian debian/get-orig-source

## king 2.21.120420+dfsg

=== debian/changelog ===
king (2.21.120420+dfsg-1) unstable; urgency=low

  * Add desktop file (thanks for the patch to Gökçen Eraslan
    <gokcen.eraslan@gmail.com>)
    Closes: #698242
  * cme fix dpkg-control
  * Remove libjogl-java Build-Dependency
    Closes: #706922
  * d/copyright,d/watch,d/rules: Remove unneeded binaries from source tarball
    (d/get-orig-source deleted)

 -- Andreas Tille <tille@debian.org>  Sun, 10 Aug 2014 19:37:33 +0200

=== debian/control ===
Source: king
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper (>= 9),
               default-jdk,
               javahelper,
               ant,
               libitext-java
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/king/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/king/trunk/
Homepage: http://kinemage.biochem.duke.edu/software/king.php

Package: king
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends}
Description: interactive system for three-dimensional vector graphics
 KiNG (Kinemage, Next Generation) is an interactive system for
 three-dimensional vector graphics. It supports a set of graphics
 primitives that make it suitable for many types of graphs, plots, and
 other illustrations; although its first use was to display
 macromolecular structures for biophysical research. KiNG builds on Mage,
 JavaMage, and the "kinemage" (kinetic image) concept to deliver a
 full-featured Java application with a user-friendly interface and
 integrated editing features. The KiNG jar file can be used within a web
 page as a Java applet or Java object to promote easy access to kinemages
 or coordinate files from a web browser.

=== debian/rules ===
--- 
+++ 
@@ -38,3 +38,6 @@
 
 override_dh_compress:
 	dh_compress --exclude=.pdf
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=3

opts="uversionmangle=s/$/+dfsg/" \
  http://kinemage.biochem.duke.edu/downloads/software/king/king\.([.0-9]+)\.src\.zip

## king 2.23.161103%2Bdfsg1

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg.*//g,repack,compression=xz" \
  http://kinemage.biochem.duke.edu/downloads/software/king/king\.([.0-9]+)\.src\.zip

## king 2.23.161103+dfsg1

=== debian/changelog ===
king (2.23.161103+dfsg1-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 12:46:43 +0100

king (2.23.161103+dfsg1-2) unstable; urgency=medium

  * Remove unmappable character which spoils build with Java 9
    Closes: #893222
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sun, 18 Mar 2018 06:47:27 +0100

king (2.23.161103+dfsg1-1) unstable; urgency=medium

  * New upstream version
    Closes: #846914
  * Moved packaging from SVN to Git
  * d/watch:
     - compress + repack
     - version=4
  * cme fix dpkg-control
  * debhelper 10
  * README.Debian explaining connection to RDCvis
  * Patch to not request availability of rdcvis.jar
  * Remove menu file

 -- Andreas Tille <tille@debian.org>  Sun, 04 Dec 2016 16:31:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                default-jdk,
                javahelper,
                ant,
-               libitext-java
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/king/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/king/trunk/
+               libitext-java,
+               libjogl2-java
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/king
+Vcs-Git: https://salsa.debian.org/med-team/king.git
 Homepage: http://kinemage.biochem.duke.edu/software/king.php
 
 Package: king

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 	  fi ; \
 	done
 	mkdir -p lib
+	ant -buildfile chiropraxis/build.xml
+	ant -buildfile extratools/build.xml
 	ant -buildfile king/build.xml dist-exe
 
 override_dh_auto_clean:
@@ -38,6 +40,3 @@
 
 override_dh_compress:
 	dh_compress --exclude=.pdf
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compress xz

## king 2.24+dfsg2

=== debian/changelog ===
king (2.24+dfsg2-1) unstable; urgency=medium

  [ Pierre Gruet ]
  * Team upload
  * New upstream version 2.24+dfsg2
  * Adding dependencies to perform the build with newest upstream version
  * Refreshing patches
  * Changing the path of the built jar in d/king.jlibs file
  * Building pdf docs from lyx and tex files, building reproducibly
  * Removing doc-base files of vanished doc files
  * Removing .so and .jnilib files when repacking
  * Building native lib (not included in the package at the moment, still)
    through d/rules

  [ Andreas Tille ]
  * Upstream moved to Github
  * Update Files-Excluded
  * Remove trailing whitespace in debian/rules (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update patches
  * Fix clean target

  [ Nilesh Patra ]
  * Update d/p/use_debian_packaged_jars.patch to use more jars needed
  * d/control: Add B-D on libpdfbox2-java and libfontbox-java

 -- Pierre Gruet <pgt@debian.org>  Mon, 14 Feb 2022 17:39:38 +0100

king (2.23.161103+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.23.161103+dfsg2
  * Using new DFSG-free icons instead of the non-free ones (Closes: #992092)
  * Raising Standards version to 4.6.0 (no change)
  * Refreshing d/copyright
  * Adding keywords in the debian/king.desktop file
  * Marking Debian-specific patches as "Forwarded: not-needed"

 -- Pierre Gruet <pgt@debian.org>  Thu, 26 Aug 2021 16:26:48 +0200

king (2.23.161103+dfsg1-4) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 15:54:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,27 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                default-jdk,
                javahelper,
                ant,
+               inkscape,
+               junit4,
+               libhamcrest-java,
                libitext-java,
-               libjogl2-java
-Standards-Version: 4.3.0
+               libjogl2-java,
+               libpdfbox2-java,
+               libpdfbox-graphics2d-java,
+               libfontbox-java,
+               lyx,
+               perl,
+               texlive-fonts-recommended,
+               texlive-latex-base
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/king
 Vcs-Git: https://salsa.debian.org/med-team/king.git
 Homepage: http://kinemage.biochem.duke.edu/software/king.php
+Rules-Requires-Root: no
 
 Package: king
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,21 @@
 %:
 	dh $@ --with javahelper
 
+override_dh_auto_configure:
+	dh_auto_configure
+	# Converting my home-made svg icons into png ones
+	cd debian/icons && \
+	        for F in $$(ls *.svg); do \
+	                inkscape -o $${F%%.svg}.png $$F; \
+	        done && \
+	        mv *.png ../../king/resource/king/images/
+
 override_dh_auto_build:
+	# Build the native lib
+	cd quickies/native/ && \
+	        gcc -shared -I/usr/lib/jvm/default-java/include/ -I/usr/lib/jvm/default-java/include/linux NativeSpeed.c -o libnativespeed.so
+	# Build the pdf docs from lyx and tex files.
+	debian/makePdfDoc
 	# create backups of original buildnum resources to enable building twice in a row
 	for component in chiropraxis driftwood extratools king molikin ; do \
 	  if [ -e $$component/resource/$$component/buildnum.props ] ; then \
@@ -20,12 +34,18 @@
 	ant -buildfile king/build.xml dist-exe
 
 override_dh_auto_clean:
+	mkdir -p king/plugins
 	ant -buildfile king/build.xml clean
 	ant -buildfile chiropraxis/build.xml clean
 	ant -buildfile driftwood/build.xml clean
 	ant -buildfile extratools/build.xml clean
 	ant -buildfile molikin/build.xml clean
 	rm -rf king_jar
+
+	# Removing the png icons we created from our set of DFSG-free icons
+	if [ -e king/resource/king/images/Add16.png ]; then \
+	        find king/resource/king/images -name "*.png" | grep -E '[A-Z][a-z]*[0-9]{2}.png' | xargs rm ; \
+	fi
 
 	# restore backups of original buildnum resources to enable building twice in a row
 	for component in chiropraxis driftwood extratools king molikin ; do \
@@ -37,6 +57,8 @@
 
 	find . -name "*.class" -delete
 	rm -rf lib
+	rm -rf king/plugins
+	-rm quickies/native/libnativespeed.so
 
 override_dh_compress:
 	dh_compress --exclude=.pdf

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg.*//g,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/rlabduke/javadev/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
